## AgsFxFactory

AgsFxFactory — Factory pattern

## Stability Level

Stable, unless otherwise indicated

## Functions

GList * | ags_fx_factory_create ()

## Types and Values

enum | AgsFxFactoryCreateFlags

## Object Hierarchy

        GFlags
        ╰── AgsFxFactoryCreateFlags
        GObject
        ╰── AgsFxFactory

## Includes

    #include <ags/audio/ags_fx_factory.h>

## Description

Factory function to instantiate fx recalls.

## Functions

### ags_fx_factory_create ()

    GList *
    ags_fx_factory_create (AgsAudio *audio,
                           AgsRecallContainer *play_container,
                           AgsRecallContainer *recall_container,
                           gchar *plugin_name,
                           gchar *filename,
                           gchar *effect,
                           guint start_audio_channel,
                           guint stop_audio_channel,
                           guint start_pad,
                           guint stop_pad,
                           gint position,
                           AgsFxFactoryCreateFlags create_flags,
                           AgsRecallFlags recall_flags);

Instantiate AgsRecall by this factory.

#### Parameters

audio | an AgsAudio that should keep the recalls |
play_container | an AgsRecallContainer to indetify what recall to use |
recall_container | an AgsRecallContainer to indetify what recall to use |
plugin_name | the plugin identifier to instantiate |
filename | the plugin filename |
effect | the plugin effect |
start_audio_channel | the first audio channel to apply |
stop_audio_channel | the last audio channel to apply |
start_pad | the first pad to apply |
stop_pad | the last pad to apply |
position | the position to insert the recall |
create_flags | modify the behaviour of this function |
recall_flags | flags to be set for AgsRecall |

#### Returns

The GList containing AgsRecall.

[element-type AgsAudio.Recall][transfer full]

Since: 3.3.0

## Types and Values

### enum AgsFxFactoryCreateFlags

Enum values controlling instantiating the recall implementation.

#### Members

AGS_FX_FACTORY_OUTPUT | output related |
AGS_FX_FACTORY_INPUT | input related |
AGS_FX_FACTORY_REMAP | remap |
AGS_FX_FACTORY_ADD | do add |
AGS_FX_FACTORY_PLAY | bounded to play |
AGS_FX_FACTORY_RECALL | bounded to recall |
AGS_FX_FACTORY_BULK | operates on bulk mode |
AGS_FX_FACTORY_LIVE | is live version |